Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.comm.eia709
Class Eia709Constants

    java.lang.Object
      jcontrol.comm.eia709.Eia709Constants

    public class Eia709Constants

extends Object

Contains various EIA-709 specific and implementation specific constants.

Field Summary
`static int` | `ADDRESS_TYPE_0` Implementation constant: Broadcast address.
`static int` | `ADDRESS_TYPE_1` Implementation constant: Multicast address.
`static int` | `ADDRESS_TYPE_2A` Implementation constant: Unicast address.
`static int` | `ADDRESS_TYPE_2B` Implementation constant: Multicase response address.
`static int` | `ADDRESS_TYPE_3` Implementation constant: Unicast with unique node ID (neuron ID).
`static int` | `MAX_GROUP_ID` Protocol constant: Upper limit for a group ID.
`static int` | `MAX_GROUP_SIZE` Protocol constant: Maximum size of a group.
`static int` | `MAX_NODE_ADDRESS` Protocol constant: Upper limit for a node address.
`static int` | `MAX_NV_SELECTOR` Protocol constant: Upper limit for a network variable selector.
`static int` | `MAX_NV_VALUE_LENGTH` Protocol constant: Maximum length of a network variable value.
`static int` | `MAX_SUBNET_ADDRESS` Protocol constant: Upper limit for a subnet address.
`static int` | `MIN_GROUP_ID` Protocol constant: Lower limit for a group ID.
`static int` | `MIN_GROUP_MEMBER_ID` Protocol constant: Lower limit for a group member ID.
`static int` | `MIN_GROUP_SIZE` Protocol constant: Minimum size of a group.
`static int` | `MIN_NODE_ADDRESS` Protocol constant: Lower limit for a node address.
`static int` | `MIN_NV_SELECTOR` Protocol constant: Lower limit for a network variable selector.
`static int` | `MIN_NV_VALUE_LENGTH` Protocol constant: Minimum length of a network variable value.
`static int` | `MIN_SUBNET_ADDRESS` Protocol constant: Lower limit for a subnet address.
`static int` | `NEURON_ID_LENGTH` Protocol constant: Length of a neuron node ID.
`static int` | `PROGRAM_NAME_LENGTH` Protocol constant: Length of an EIA-709 program name.
`static int` | `SERVICE_ACKD` Implementation constant: Use when a communication service must be supplied.
`static int` | `SERVICE_REQUEST` Implementation constant: Use when a communication service must be supplied.
`static int` | `SERVICE_RESPONSE` Implementation constant: Use when a communication service must be supplied.
`static int` | `SERVICE_UNACK_RPT` Implementation constant: Use when a communication service must be supplied.
`static int` | `SERVICE_UNACKD` Implementation constant: Use when a communication service must be supplied.
`static int` | `SUBNET_DOMAIN_BC` Protocol constant: Domain broadcast subnet address.

Constructor Summary
`Eia709Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### MIN_NODE_ADDRESS

    public static final int MIN_NODE_ADDRESS

  Protocol constant: Lower limit for a node address.

  See Also:
    Constant Field Values

### MAX_NODE_ADDRESS

    public static final int MAX_NODE_ADDRESS

  Protocol constant: Upper limit for a node address.

  See Also:
    Constant Field Values

### MIN_SUBNET_ADDRESS

    public static final int MIN_SUBNET_ADDRESS

  Protocol constant: Lower limit for a subnet address.

  See Also:
    Constant Field Values

### MAX_SUBNET_ADDRESS

    public static final int MAX_SUBNET_ADDRESS

  Protocol constant: Upper limit for a subnet address.

  See Also:
    Constant Field Values

### SUBNET_DOMAIN_BC

    public static final int SUBNET_DOMAIN_BC

  Protocol constant: Domain broadcast subnet address.

  See Also:
    Constant Field Values

### MIN_GROUP_ID

    public static final int MIN_GROUP_ID

  Protocol constant: Lower limit for a group ID.

  See Also:
    Constant Field Values

### MAX_GROUP_ID

    public static final int MAX_GROUP_ID

  Protocol constant: Upper limit for a group ID.

  See Also:
    Constant Field Values

### MIN_GROUP_SIZE

    public static final int MIN_GROUP_SIZE

  Protocol constant: Minimum size of a group.

  See Also:
    Constant Field Values

### MAX_GROUP_SIZE

    public static final int MAX_GROUP_SIZE

  Protocol constant: Maximum size of a group.

  See Also:
    Constant Field Values

### MIN_GROUP_MEMBER_ID

    public static final int MIN_GROUP_MEMBER_ID

  Protocol constant: Lower limit for a group member ID.

  See Also:
    Constant Field Values

### MIN_NV_SELECTOR

    public static final int MIN_NV_SELECTOR

  Protocol constant: Lower limit for a network variable selector.

  See Also:
    Constant Field Values

### MAX_NV_SELECTOR

    public static final int MAX_NV_SELECTOR

  Protocol constant: Upper limit for a network variable selector.

  See Also:
    Constant Field Values

### MIN_NV_VALUE_LENGTH

    public static final int MIN_NV_VALUE_LENGTH

  Protocol constant: Minimum length of a network variable value.

  See Also:
    Constant Field Values

### MAX_NV_VALUE_LENGTH

    public static final int MAX_NV_VALUE_LENGTH

  Protocol constant: Maximum length of a network variable value.

  See Also:
    Constant Field Values

### PROGRAM_NAME_LENGTH

    public static final int PROGRAM_NAME_LENGTH

  Protocol constant: Length of an EIA-709 program name.

  See Also:
    Constant Field Values

### NEURON_ID_LENGTH

    public static final int NEURON_ID_LENGTH

  Protocol constant: Length of a neuron node ID.

  See Also:
    Constant Field Values

### SERVICE_ACKD

    public static final int SERVICE_ACKD

  Implementation constant: Use when a communication service must be supplied.

  See Also:
    Constant Field Values

### SERVICE_UNACK_RPT

    public static final int SERVICE_UNACK_RPT

  Implementation constant: Use when a communication service must be supplied.

  See Also:
    Constant Field Values

### SERVICE_UNACKD

    public static final int SERVICE_UNACKD

  Implementation constant: Use when a communication service must be supplied.

  See Also:
    Constant Field Values

### SERVICE_REQUEST

    public static final int SERVICE_REQUEST

  Implementation constant: Use when a communication service must be supplied.

  See Also:
    Constant Field Values

### SERVICE_RESPONSE

    public static final int SERVICE_RESPONSE

  Implementation constant: Use when a communication service must be supplied.

  See Also:
    Constant Field Values

### ADDRESS_TYPE_0

    public static final int ADDRESS_TYPE_0

  Implementation constant: Broadcast address. Destination address is specified by a subnet. Use when an address type must be supplied.

  See Also:
    Constant Field Values

### ADDRESS_TYPE_1

    public static final int ADDRESS_TYPE_1

  Implementation constant: Multicast address. Destination address is specified by a group ID. Use when an address type must be supplied.

  See Also:
    Constant Field Values

### ADDRESS_TYPE_2A

    public static final int ADDRESS_TYPE_2A

  Implementation constant: Unicast address. Destination address is specified by a node and a subnet. Use when an address type must be supplied.

  See Also:
    Constant Field Values

### ADDRESS_TYPE_2B

    public static final int ADDRESS_TYPE_2B

  Implementation constant: Multicase response address. Destination address is specified by a subnet, a node, the group of the request and the member ID. This address type cannot be used for normal messages.

  See Also:
    Constant Field Values

### ADDRESS_TYPE_3

    public static final int ADDRESS_TYPE_3

  Implementation constant: Unicast with unique node ID (neuron ID). Destination address is specifier by a subnet and a unique node ID (neuron ID). This address type cannot be used for normal messages.

  See Also:
    Constant Field Values

Constructor Detail

### Eia709Constants

    public Eia709Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD